Game_Interpreter.prototype.BtlSpineUpdate = function () {
    this.Spine_EvUpdate();  
    if (spainWaitAnimeFlame >= 0) { 
        if (spainWaitAnimeFlame == 1) {
            if (!LoseSetFlg && !B戦闘復活Flg) {
                if (!this.IsPlayerメタル化()) this.SetSpineAnime(PN_CharacterPL, "Idl", true);
            }
        }
        spainWaitAnimeFlame--;
    }
}
Game_Interpreter.prototype.SettingFinalAccessMode = function () {
    AccessFlg = true;   
    this.ClearBadStateAll_Chara(NPlayer[0]._NState);
    this.DeckAccessCng();   
    Pl_TC_Pic = PlayerBtlChara.Name; 
    for (let j = 0; j <= TurnCard.length - 1; j++) {
        if (TurnCard[j]._PicStr == PlayerBtlChara.Name ||
            TurnCard[j]._PicStr == PlayerBtlChara.Name + "_A") {
            TurnCard[j]._ViewFlg = false;
            TurnCard[j]._PicStr = PlayerBtlChara.Name + "_F";
        }
    }
    Pl_TC_Pic = PlayerBtlChara.Name + "_F"; 
    this.TCPicReDraw(); 
    notUseCardFlg = false;
}
Game_Interpreter.prototype.Spine_EvUpdate = function () {
    for (let i = 0; i <= Spine_EvName.length - 1; i++) {
        let effectName = Spine_EvName[i]; 
        switch (effectName) {
            case "AccessEffect": 
                this.PlaySe("Collapse2");
                this.PlayPtcPic("BtlACngEffect", NPlayer[0]._PosX - 50, NPlayer[0]._PosY);
                break;
            case "SkinCng": 
                $gameScreen.startFlash([255, 255, 255, 155], 10);
                this.PlaySe("Powerup");
                AccessFlg = true;   
                this.ClearBadStateAll_Chara(NPlayer[0]._NState);
                this.DeckAccessCng();   
                this.SpineCngAccess();  
                Live2DParamSetCmnEventStart(MdlRomashaBattle);
                if ($gameSwitches._data[SW_アクセスジャマー]) {
                    for (let j = 0; j <= BtlDeck.length - 1; j++) {
                        if ($dataWeapons[BtlDeck[j]].wtypeId == CType.必殺) {
                            BtlDeck.splice(j, 1);
                            j--;
                        }
                    }
                    this.Playerアクセスステート解除(); 
                    this.SpineCngAccess(); 
                    CardSkills = []; 
                    this.SetSpineAnime(PN_CharacterPL, "Dmg", false); 
                } else {
                    this.PlayPtcPic("BtlAccess", NPlayer[0]._PosX, NPlayer[0]._PosY);
                }
                DeckCard = [];
                this.DeckReSetting();
                Pl_TC_Pic = PlayerBtlChara.Name; 
                for (let j = 0; j <= TurnCard.length - 1; j++) {
                    if (TurnCard[j]._PicStr == PlayerBtlChara.Name) {
                        TurnCard[j]._ViewFlg = false;
                        TurnCard[j]._PicStr = PlayerBtlChara.Name + "_A";
                    }
                }
                this.TCPicReDraw(); 
                effectName = "";
                NoUseCardFlg = false; 
                if (!All_装甲状態確認()) {
                    AddNState(NPlayer[0]._NState, 13, 99);
                }
                this.TurnEndBtnDraw();
                break;
        }
    }
    Spine_EvName = [];
}
